/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, ComponentFactoryResolver, ViewContainerRef, OnDestroy, Renderer2, ComponentRef, NgZone } from '@angular/core';
import { NotificationSettings } from './models/notification-settings';
import { NotificationComponent } from './notification.component';
import { NotificationRef } from './models/notification-ref';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class NotificationContainerComponent implements OnDestroy {
    element: ElementRef;
    renderer: Renderer2;
    private resolver;
    private ngZone;
    container: ViewContainerRef;
    group: ElementRef;
    id: string;
    notifications: NotificationComponent[];
    private position;
    constructor(element: ElementRef, renderer: Renderer2, resolver: ComponentFactoryResolver, ngZone: NgZone);
    ngOnDestroy(): void;
    addNotification(settings: NotificationSettings): NotificationRef;
    hide(notificationRef: ComponentRef<NotificationComponent>): void;
    private applyContainerWrap;
    private applySettings;
    private applyAbsolutePosition;
    private applyPosition;
    private setContainerPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationContainerComponent, "kendo-notification-container", never, { "id": { "alias": "id"; "required": false; }; }, {}, never, never, true, never>;
}
